package cn.im.ptxztree.model;

import cn.base.bean.BaseBean;

import java.util.List;

public class PtxzsNode extends BaseBean implements java.io.Serializable {
    private String id;
    private String pid;
    private String name;
    private Boolean open=false;
    private List<PtxzsNode> children;
    public PtxzsNode() {
        super();
    }

    public PtxzsNode(String id, String pid, String name) {
        this.id = id;
        this.pid = pid;
        this.name = name;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getPid() {
        return pid;
    }

    public void setPid(String pid) {
        this.pid = pid;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public List<PtxzsNode> getChildren() {
        return children;
    }

    public void setChildren(List<PtxzsNode> children) {
        this.children = children;
    }
}
